<?php
include('init.php');
include('templates/header.php');

?>
<p>
	<strong>SimpleWordsCloud</strong> est un outil permettant de créer et
	de un visualiser un nuage de mots.
	Cet outil ne demande aucune inscription et
	n'enregistre rien de plus que les mots entrés,
	il respecte donc totalement votre vie privée.<br/>
	Le code source est publié sous
	<a href="https://mit-license.org/" title="Lien vers le site de la licence MIT">licence MIT</a>
	et est disponible sur
	<a href="https://git.vulgarisons.info/raghnarok/simpleWordsCloud" title="Lien vers le dépôt">mon dépôt git</a>.
</p>
<p>
	L'affichage du nuage est possible grâce au travail de
	<a href="https://timdream.org/" title="Lien vers le site de Timothy Guan-tin Chien">Timothy Guan-tin Chien</a>.
</p>
<p>
	La comparaison des mots est en partie possible grâce au travail d'adaptation de la
	transcription <strong>soundex</strong> en français faite par Florent Bruneau
	et expliquée
	<a href="http://blog.mymind.fr/blog/2007/03/15/soundex-francais/" title="Lien vers l'explication de soundex_fr'">sur son blog</a>.
</p>
<p>
	Ce site démontre une fois de plus la force du partage de connaissances.
	Sans le travail de ces personnes, et de toutes les autres impliquées
	dans le développement des langages que j'utilise,
	des logiciels que j'utilise, des algorithmes que j'utilise,
	jamais je n'aurais pu proposer cet outil.
	Vive le logiciel libre, vive les communs.
</p>
<?php
include('templates/footer.php');
?>
